[Perldl] 2.4.10/Debian / ubuntu packaging

Henning Glawe eartoaster at gmx.net
Mon Feb 13 09:19:04 HST 2012


On Mon, Feb 13, 2012 at 06:31:55PM +0100, Jan Hoogenraad wrote:
> http://qa.debian.org/developer.php?login=glaweh@debian.org#pdl
> 
> Given the new features, as an Ubuntu user I'd like to use 2.4.10,
> but I have only managed to install using (debian) packages.
> 
> The latest are actually quite old:
> https://launchpad.net/ubuntu/+source/pdl

If you can wait for a few days, I'm preparing an upload for 2.4.10 to debian
unstable (I was waiting for libopengl-perl to get updated...).

Given the fact that I maintain a 'debian' dir within PDL's official
repository, you can build a new version of the PDL pkg:

1) type 'dch -i' within pdl's source tree to generate a new changelog entry
   and adjust the version number as needed.

2) make sure you have all build-dependencies installed (with a deb-src line
   in /etc/apt/sources.list, all you need is "apt-get build-dep pdl" as root)

3) call 'debuild' in pdl's source tree

by the way, there is a quite nice tool called 'pbuilder', which builds debian
packages within a 'clean' chroot with all neccesary build dependencies
satisfied; using its 'pdebuild' tool instead of 2 and 3 saves me a lot of
work.

Note: maybe I should write some proper instruction for the PDL build
instructions page;)

-- 
c u
henning




More information about the Perldl mailing list